# uddi2__delete_USCOREpublisherAssertions Class Reference

Schema urn:uddi-org:api_v2:"delete_publisherAssertions". More...

`#include <uddi_v2.h>`

List of all members.

## Public Member Functions

| uddi2__delete_USCOREpublisherAssertions (struct soap *)
| Member declared in uddi2-typemap.dat.
| uddi2__delete_USCOREpublisherAssertions (struct soap *, std::vector< uddi2__publisherAssertion * > publisherAssertions)
| Member declared in uddi2-typemap.dat.
uddi2__dispositionReport * | send (const char *endpoint, char *authInfo)
| Member declared in uddi2-typemap.dat.

## Public Attributes

char * | authInfo
| Element reference "urn:uddi-org:api_v2":authInfo.
std::vector< uddi2__publisherAssertion * > | publisherAssertion
| Vector of uddi2__publisherAssertion* with length 0..unbounded.
char * | generic
| Attribute generic of type xs:string.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"delete_publisherAssertions".

Represents a request to delete publisher assertions meeting the specified requirements.

See http://uddi.org/pubs/ProgrammersAPI_v2.htm#_Toc25137734

## Constructor & Destructor Documentation

uddi2__delete_USCOREpublisherAssertions::uddi2__delete_USCOREpublisherAssertions | ( | struct soap * | soap | ) |

Member declared in uddi2-typemap.dat.

Parameters:

  `[in]` | soap | gSOAP context

Creates an instance of the delete_USCOREpublisherAssertions class.

uddi2__delete_USCOREpublisherAssertions::uddi2__delete_USCOREpublisherAssertions | ( | struct soap * | soap,
|  | std::vector< uddi2__publisherAssertion * > | publisherAssertions
| ) |

Member declared in uddi2-typemap.dat.

Parameters:

  `[in]` | soap | gSOAP context
  `[in]` | publisherAssertions | a collection of publisher assertions

Creates an instance of the delete_USCOREpublisherAssertions class using the specified collection of publisher assertions.

## Member Function Documentation

uddi2__dispositionReport * uddi2__delete_USCOREpublisherAssertions::send | ( | const char * | endpoint,
|  | char * | authInfo
| ) |

Member declared in uddi2-typemap.dat.

Parameters:

  `[in]` | endpoint | URL of the UDDI server
  `[in]` | authInfo | authorization token provided by the UDDI server

Returns:
  A pointer to a uddi2__dispositionReport object or NULL on error

Send a request to a UDDI service to delete publisher assertions meeting the specified requirements.

## Member Data Documentation

char* uddi2__delete_USCOREpublisherAssertions::authInfo

| Element reference "urn:uddi-org:api_v2":authInfo. Required element

char* uddi2__delete_USCOREpublisherAssertions::generic

| Attribute generic of type xs:string. Required attribute

std::vector<uddi2__publisherAssertion*> uddi2__delete_USCOREpublisherAssertions::publisherAssertion

| Vector of uddi2__publisherAssertion* with length 0..unbounded.

struct soap* uddi2__delete_USCOREpublisherAssertions::soap

| A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h